# Generated by Django 3.1.1 on 2020-10-24 12:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('story6unittesting', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='EventGuests',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('guest', models.CharField(max_length=50, unique=True)),
            ],
            options={
                'verbose_name': 'Event Guest',
            },
        ),
        migrations.CreateModel(
            name='Events',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_event', models.CharField(max_length=50, unique=True)),
                ('deskripsi', models.TextField(max_length=250)),
            ],
            options={
                'verbose_name': 'Event',
            },
        ),
        migrations.RemoveField(
            model_name='activityusers',
            name='activityName',
        ),
        migrations.DeleteModel(
            name='Activity',
        ),
        migrations.DeleteModel(
            name='activityUsers',
        ),
        migrations.AddField(
            model_name='eventguests',
            name='event_host',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='story6unittesting.events'),
        ),
    ]
